IMDB Plugin Update Fehler

Fehler in TV-Browser
Frankie
Junior Member
Beiträge: 14
Registriert: 19 Mär 2019, 11:18

Re: IMDB Plugin Update Fehler

Beitrag von Frankie » 23 Mai 2019, 10:55

Hallo Jo,
Jo hat geschrieben:
19 Mai 2019, 19:15
Mir ist gerade noch eine Kleinigkeit aufgefallen: Groß in der Überschrift stehen Titel und Jahr aus den TVB-Daten, nicht die von IMDb:

bis zu vorletzten Beta hatte ich in der Überschrift den Originaltitel und das Releasejahr aus den IMDb-Daten ausgegeben - also so wie Du es jetzt vorschlägst. :-)

Ich habe das mit der jetzigen Beta auf die TV-Browser Daten umgestellt. Damit hat man meiner Meinung nach einen Vergleich zwischen Suchanfrage (TV-Browser Daten) und Suchergebnis (IMDb-Daten). Abweichungen werden aus meiner Sicht so augenfälliger, wie Dein Beispiel zeigt.

Es ist also beides möglich, d.h. ich könnte das auch wieder auf die IMDb-Daten umstellen.

Viele Grüße,
Frankie

ak
Junior Member
Beiträge: 38
Registriert: 15 Jul 2011, 18:29

Re: IMDB Plugin Update Fehler

Beitrag von ak » 23 Jun 2019, 17:58

sorry für lange weg, es war anderes wichtig ...

Wo finde ich Euer neues IMDB-plugin?

Ich hatte die tvbrowser version 4.0.1; eine neuere gibt es hier noch nicht: https://www.tvbrowser.org/index.php?id=tv-browser
Ich hab grad das alte "IMDb ratings 1.0.8.0" DEINSTALLIERT.
Aber unter Install/Update Plugins kommt "IMDb ratings" nun gar nicht mehr vor.

Was muss ich wie und wo machen, um Eure vorabveröffentlichte Version auszuprobieren?

Jo
Site Admin
Beiträge: 10693
Registriert: 07 Apr 2006, 23:39

Re: IMDB Plugin Update Fehler

Beitrag von Jo » 23 Jun 2019, 18:56

Es ist noch eine Testversion. Die gibt es z.B. unter http://nightly.tvbrowser.org/

ak
Junior Member
Beiträge: 38
Registriert: 15 Jul 2011, 18:29

Re: IMDB Plugin Update Fehler

Beitrag von ak » 24 Jun 2019, 17:42

Danke!

Ich habe mal selbst probiert, aber komme hier nicht weiter:

1)
./tvbrowser.sh fehlte in dem -nightly Archiv, also habe ich es rüberkopiert aus der 4.0.1


2)

Code: Alles auswählen

./tvbrowser.sh 
Starting TV-Browser...
Java exec found in PATH. Verifying...
Suitable java version found [java = 1.8.0_212]
Configuring environment...
Loading TV-Browser:
java -Xms16m -Xmx512m -XX:+IgnoreUnrecognizedVMOptions --add-modules=ALL-SYSTEM -Djava.library.path="~/tvbrowser-nightly-transportable" -Dpropertiesfile=linux.properties -jar tvbrowser.jar ''
Error: A JNI error has occurred, please check your installation and try again
Exception in thread "main" java.lang.UnsupportedClassVersionError: tvbrowser/TVBrowser has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0
[...]
TV-Browser TERMINATED.
Ich muss also irgendwie ein neueres Java holen, was?

3)
Wenig Erfahrung damit. Eigentlich ist mein System auf dem neuesten Stand:

Code: Alles auswählen

sudo apt update && sudo apt upgrade
java -version
openjdk version "1.8.0_212"
OpenJDK Runtime Environment (build 1.8.0_212-8u212-b03-2~deb9u1-b03)
OpenJDK 64-Bit Server VM (build 25.212-b03, mixed mode)
Was ist der Standardweg auf Debian Linux, um Java zu updaten?


Gibt es irgendwo eine Anleitung für Linux(Debian) Nutzer für die nightly Versionen?

ak
Junior Member
Beiträge: 38
Registriert: 15 Jul 2011, 18:29

Re: IMDB Plugin Update Fehler

Beitrag von ak » 24 Jun 2019, 17:51

this seems to be it, for Debian

Code: Alles auswählen

su -
echo "deb http://ppa.launchpad.net/linuxuprising/java/ubuntu bionic main" | tee /etc/apt/sources.list.d/linuxuprising-java.list
apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 73C3DB2A
apt-get update
apt-get install oracle-java12-installer
exit
java -version

Code: Alles auswählen

java version "12.0.1" 2019-04-16
Java(TM) SE Runtime Environment (build 12.0.1+12)
Java HotSpot(TM) 64-Bit Server VM (build 12.0.1+12, mixed mode, sharing)

ak
Junior Member
Beiträge: 38
Registriert: 15 Jul 2011, 18:29

Re: IMDB Plugin Update Fehler

Beitrag von ak » 24 Jun 2019, 17:53

but ... crash error when starting up:

Code: Alles auswählen

 ./tvbrowser.sh 
Starting TV-Browser...
Java exec found in PATH. Verifying...
Suitable java version found [java = 12.0.1 2019-04-16]
Configuring environment...
Loading TV-Browser:
java -Xms16m -Xmx512m -XX:+IgnoreUnrecognizedVMOptions --add-modules=ALL-SYSTEM -Djava.library.path="~/tvbrowser-nightly-transportable" -Dpropertiesfile=linux.properties -jar tvbrowser.jar ''

Exception in thread "main" java.lang.NoClassDefFoundError: org/apache/commons/lang3/StringUtils
	at tvbrowser.TVBrowser.isJavaImplementationSupported(TVBrowser.java:890)
	at tvbrowser.TVBrowser.showUsage(TVBrowser.java:932)
	at tvbrowser.TVBrowser.parseCommandline(TVBrowser.java:945)
	at tvbrowser.TVBrowser.main(TVBrowser.java:304)

Caused by: java.lang.ClassNotFoundException: org.apache.commons.lang3.StringUtils
	at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:583)
	at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:178)
	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)
	... 4 more

TV-Browser TERMINATED.

ds10
Site Admin
Beiträge: 17054
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: IMDB Plugin Update Fehler

Beitrag von ds10 » 24 Jun 2019, 18:06

Die Nightly von TV-Browser zu nehmen bringt da nichts, du musst die Nightly-Version vom Plugin nehmen: ImdbPlugin.jar

Die Datei kann man durch DragAndDrop auf die Programmtabelle installieren.
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser

Antworten